Debian Bug report logs - #604356
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:libqglviewer; Maintainer for src:libqglviewer is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 19:39:04 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version libqglviewer/2.3.4-2

Fixed in version libqglviewer/2.3.4-4.2

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Artur R. Czechowski <arturcz@hell.pl>:
Bug#604356; Package src:libqglviewer. (Sun, 21 Nov 2010 19:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Artur R. Czechowski <arturcz@hell.pl>. (Sun, 21 Nov 2010 19:39:07 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:36:48 +0100
Source: libqglviewer
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Added tag(s) pending. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. (Sun, 21 Nov 2010 20:03:02 GMT) Full text and rfc822 format available.

Information forwarded to Artur R. Czechowski <arturcz@hell.pl>:
Bug#604356; Package src:libqglviewer. (Sun, 21 Nov 2010 20:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to 604356-maintonly@bugs.debian.org:
Extra info received and forwarded to maintainer. Copy sent to Artur R. Czechowski <arturcz@hell.pl>. (Sun, 21 Nov 2010 20:03:13 GMT) Full text and rfc822 format available.

Message #12 received at 604356-maintonly@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: Eckhart Wörner <ewoerner@kde.org>, 604356-maintonly@bugs.debian.org
Subject: Re: Bug#604356: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:53:37 +0100
tags 604356 pending
thanks

On Sun, Nov 21, 2010 at 08:36:48PM +0100, Eckhart Wörner wrote:
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4
You can consider libqglviewer as a ready for Qt3 removal. I need only
to turn off building the Qt3 flavour of the package. I plan to fulfill your
request after squeeze release, bug tagged as pending.

Regards
	Artur
-- 
Po co mamy ze sobą rozmawiać, skoro tak łatwo się komunikować?
						/Jean Baudrillard/




Added blocking bug(s) of 604356: 604473 Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. (Mon, 22 Nov 2010 15:09:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libqglviewer/2.3.4-2. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 11:09:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:29:09 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:35:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:37:09 GMT) Full text and rfc822 format available.

Information stored :
Bug#604356; Package src:libqglviewer. (Tue, 13 Dec 2011 23:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Extra info received and filed, but not forwarded. (Tue, 13 Dec 2011 23:30:06 GMT) Full text and rfc822 format available.

Message #27 received at 604356-quiet@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: debian-mentors@lists.debian.org
Cc: 604356-quiet@bugs.debian.org
Subject: RFS: libqglviewer
Date: Wed, 14 Dec 2011 00:18:13 +0100
[Message part 1 (text/plain, inline)]
Hello,
I am looking for a sponsor for my package "libqglviewer".

Package is already available in Debian:
http://packages.qa.debian.org/libq/libqglviewer.html

I need the sponsorship because new binary package with documentation
is introduced and as a DM I have no privileges to upload to NEW queue.

 * Package name    : libqglviewer
   Version         : 2.3.11-1
   Upstream Author : Gilles Debunne <Gilles.Debunne@imag.fr>
 * URL             : http://www.libqglviewer.com/
 * License         : GPL
   Section         : libs

It builds those binary packages:

libqglviewer-dev - OpenGL 3D viewer library based on Qt4 - development files
 libqglviewer-doc - OpenGL 3D viewer library - header files and documentation
 libqglviewer-qt4-2 - Dummy package to install libqglviewer2
 libqglviewer2 - OpenGL 3D viewer library based on Qt - runtime library

To access further information about this package, please visit the following URL:

  http://mentors.debian.net/package/libqglviewer

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/libq/libqglviewer/libqglviewer_2.3.11-1.dsc

I would be glad if someone uploaded this package for me.

Kind regards,

Artur R. Czechowski
-- 
(ac) ,<                                             
    _ó_____     We all live in a yellow submarine...  
   <_______>                                             
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. (Mon, 19 Mar 2012 05:03:03 GMT) Full text and rfc822 format available.

Message sent on to Eckhart Wörner <ewoerner@kde.org>:
Bug#604356. (Mon, 19 Mar 2012 05:09:07 GMT) Full text and rfc822 format available.

Message #32 received at 604356-submitter@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 604356-submitter@bugs.debian.org
Subject: New upstream release
Date: Mon, 19 Mar 2012 06:01:30 +0100
tag 604356 -pending
thanks

Hello,
Another release of package without Qt3 support has been prepared
and it's waiting for the sponsor. In case you are interested in sponsorship
please look into following resources:
 - http://mentors.debian.net/package/libqglviewer
 - http://bugs.debian.org/664586

Regards
        Artur
-- 
Wyjaśnienie odwołujące się do przetrwania, niczego nie wyjaśnia,
dopóki nie wyjaśni się, dlaczego przetrwanie przetrwało
                        /Pierre Bourdieu, Jean Claude Passeron "Reprodukcja"/




Reply sent to arturcz@hell.pl (Artur R. Czechowski):
You have taken responsibility. (Sat, 24 Mar 2012 22:51:07 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 24 Mar 2012 22:51:07 GMT) Full text and rfc822 format available.

Message #37 received at 604356-close@bugs.debian.org (full text, mbox):

From: arturcz@hell.pl (Artur R. Czechowski)
To: 604356-close@bugs.debian.org
Subject: Bug#604356: fixed in libqglviewer 2.3.15-1~exp1
Date: Sat, 24 Mar 2012 22:49:08 +0000
Source: libqglviewer
Source-Version: 2.3.15-1~exp1

We believe that the bug you reported is fixed in the latest version of
libqglviewer, which is due to be installed in the Debian FTP archive:

libqglviewer-dev_2.3.15-1~exp1_amd64.deb
  to main/libq/libqglviewer/libqglviewer-dev_2.3.15-1~exp1_amd64.deb
libqglviewer-qt3-dev_2.3.15-1~exp1_all.deb
  to main/libq/libqglviewer/libqglviewer-qt3-dev_2.3.15-1~exp1_all.deb
libqglviewer-qt4-2_2.3.15-1~exp1_all.deb
  to main/libq/libqglviewer/libqglviewer-qt4-2_2.3.15-1~exp1_all.deb
libqglviewer-qt4-dev_2.3.15-1~exp1_all.deb
  to main/libq/libqglviewer/libqglviewer-qt4-dev_2.3.15-1~exp1_all.deb
libqglviewer2_2.3.15-1~exp1_amd64.deb
  to main/libq/libqglviewer/libqglviewer2_2.3.15-1~exp1_amd64.deb
libqglviewer_2.3.15-1~exp1.debian.tar.gz
  to main/libq/libqglviewer/libqglviewer_2.3.15-1~exp1.debian.tar.gz
libqglviewer_2.3.15-1~exp1.dsc
  to main/libq/libqglviewer/libqglviewer_2.3.15-1~exp1.dsc
libqglviewer_2.3.15.orig.tar.gz
  to main/libq/libqglviewer/libqglviewer_2.3.15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604356@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Artur R. Czechowski <arturcz@hell.pl> (supplier of updated libqglviewer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 24 Mar 2012 23:20:24 +0100
Source: libqglviewer
Binary: libqglviewer-dev libqglviewer2 libqglviewer-qt4-2 libqglviewer-qt4-dev libqglviewer-qt3-dev
Architecture: source all amd64
Version: 2.3.15-1~exp1
Distribution: experimental
Urgency: low
Maintainer: Artur R. Czechowski <arturcz@hell.pl>
Changed-By: Artur R. Czechowski <arturcz@hell.pl>
Description: 
 libqglviewer-dev - OpenGL 3D viewer library based on Qt4 - development files
 libqglviewer-qt3-dev - Dummy package for smooth transition
 libqglviewer-qt4-2 - Dummy package to install libqglviewer2
 libqglviewer-qt4-dev - Dummy package to install libqglviewer-dev
 libqglviewer2 - OpenGL 3D viewer library based on Qt - runtime library
Closes: 604356 662702
Changes: 
 libqglviewer (2.3.15-1~exp1) experimental; urgency=low
 .
   * New upstream release:
     + uses CONFIG += no_keywords so that the library can be used with Boost
       (LP: #414975)
     + is compilable with Qt 4.8 (Closes: #662702)
   * Don't build Qt3 version anymore (Closes: #604356)
   * Using upstream name convention: libQGLViewer instead of libqglviewer
   * drop no longer needed patches:
     + 01qt3-qt4
     + 99compile-examples
   * Lintian cleanup:
     + fix descriptions
     + libqglviewer-qt4-2 depends on ${misc:Depends}
     + build-arch and build-indep provided in debian/rules
   * Convert to 3.0 (quilt) format
     + remove dpatch from Build-Deps and all calls from debian/rules
     + update patches in debian/patches
     + replace debian/00list with debian/series
     + remove README.source
     + rename remaining patches - remove NN prefix
   * Update Standards-Version to 3.9.3
     + sort Breaks/Replaces/Provides dependencies for transition
   * Remove all transition related stuff. The dev package is libqglviewer-dev,
     the shared library package is libqglviewer2. All needed transition symlinks
     are provided in those packages.
   * Headers moved from libqglviewer-dev-common to libqglviewer-dev
   * temporary removed libqglviewer-dev-common, it will be reintroduced later
     as a libqglviewer-doc
   * libqglviewer-qt4-2, libqglviewer-qt3-dev and libqglviewer-qt4-dev are now
     dummy transition packages
   * Remove debian/README.Multiflavour and other qt3 related artifacts from
     debian/
   * README.Debian cleanup
     + Merge all *.README.Debian into one file - the content is the same
     + Corrected upstream name in README.Debian
     + Updated URL of homepage
   * Provide upstreams GPL_EXCEPTION file, mention it in copyright one.
   * Updated description of libqglviewer-qt3-dev package
Checksums-Sha1: 
 7c746d83baf41b4f00496e3fa8f7f860b647d69e 1437 libqglviewer_2.3.15-1~exp1.dsc
 ab2e56cfbf094da3f9e56d749d7ff421c69b11a7 2780868 libqglviewer_2.3.15.orig.tar.gz
 1f13b46701c6acd1d2d4f82a49548b851faf9863 7507 libqglviewer_2.3.15-1~exp1.debian.tar.gz
 842ca2b28f46a8051ed7333c95eb7fce77b091c5 774 libqglviewer-qt4-2_2.3.15-1~exp1_all.deb
 7d29c6b8a4b4f051502b086ef87a0e13a013b7dc 6068 libqglviewer-qt4-dev_2.3.15-1~exp1_all.deb
 142c2376d9300a469eccb731148900f8c05ae940 6130 libqglviewer-qt3-dev_2.3.15-1~exp1_all.deb
 48b408b92db29b59a766eb99c85a3133fc72b73d 405058 libqglviewer-dev_2.3.15-1~exp1_amd64.deb
 19b2387dce1e6f0d88d91d76218712f6e1eb002d 258788 libqglviewer2_2.3.15-1~exp1_amd64.deb
Checksums-Sha256: 
 9aef1747136374b0f9d73b4e41022f3e70db8fd163a5ba14954695a0b0ab4271 1437 libqglviewer_2.3.15-1~exp1.dsc
 102c1f63171669720918b75b9bb8dd38b55aa1e84df977a89e95c8d4d8b219d8 2780868 libqglviewer_2.3.15.orig.tar.gz
 fc32a8e4d701aa0189f67b1a69da1d77ae655bbb08a112d2e6b4e705eb468659 7507 libqglviewer_2.3.15-1~exp1.debian.tar.gz
 bae22c151889d60a8295173eab318d14a8981e9dd3fc30eff704e33556abe64c 774 libqglviewer-qt4-2_2.3.15-1~exp1_all.deb
 12cd7c65e4b804dfbf72fe51a400015ab8341039c88fddae89b1e3973a82093c 6068 libqglviewer-qt4-dev_2.3.15-1~exp1_all.deb
 04810e16a14c105bceea0d8a1921f083e3dbec863849982140b8e4cff4d09af7 6130 libqglviewer-qt3-dev_2.3.15-1~exp1_all.deb
 12cc5186cf64f28d1b04b35e5bd2b6def20d5f9fd851beb00b0cd9ab60f597bb 405058 libqglviewer-dev_2.3.15-1~exp1_amd64.deb
 8750a060239657875a5cd9ca347b83d0e219d92ab4a013a0cd743c46ade36348 258788 libqglviewer2_2.3.15-1~exp1_amd64.deb
Files: 
 102484fe89573efb8eec103c8117bba2 1437 libs optional libqglviewer_2.3.15-1~exp1.dsc
 f06186fc20d38a1f20c8b1378093d1e8 2780868 libs optional libqglviewer_2.3.15.orig.tar.gz
 b7f67a58250b80e20e71ca30a4746dae 7507 libs optional libqglviewer_2.3.15-1~exp1.debian.tar.gz
 6c20eb3bd3b30c904cae3936a170262c 774 oldlibs optional libqglviewer-qt4-2_2.3.15-1~exp1_all.deb
 5fb16d60e52431d3861103f300bee81f 6068 oldlibs optional libqglviewer-qt4-dev_2.3.15-1~exp1_all.deb
 fc4e1ef60b07961672f77d29ea8c7a56 6130 oldlibs optional libqglviewer-qt3-dev_2.3.15-1~exp1_all.deb
 f7b438d01c27e7c697c7cfa57fe1fbd1 405058 libdevel optional libqglviewer-dev_2.3.15-1~exp1_amd64.deb
 50282c5d14a61eea986b10eeafad96e8 258788 libs optional libqglviewer2_2.3.15-1~exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9uTEUACgkQlk0AXAynaGzjjgCg3V8vD/jyVgxHdzy3duRMUjBG
yiQAoJshg3SLyj0opXARGf8eTCzqWCxV
=Ot7k
-----END PGP SIGNATURE-----





Bug reopened Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. (Mon, 26 Mar 2012 23:27:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions libqglviewer/2.3.15-1~exp1. Request was from "Artur R. Czechowski" <arturcz@hell.pl> to control@bugs.debian.org. (Mon, 26 Mar 2012 23:27:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#604356; Package src:libqglviewer. (Mon, 26 Mar 2012 23:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Extra info received and filed, but not forwarded. (Mon, 26 Mar 2012 23:36:08 GMT) Full text and rfc822 format available.

Message #46 received at 604356-quiet@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 604356-quiet@bugs.debian.org, 662702-quiet@bugs.debian.org
Subject: Unresolved in unstable.
Date: Tue, 27 Mar 2012 01:23:54 +0200
reopen 604356
reopen 662702
found 604356 2.3.4-2
found 662702 662702
thanks

Those bugs are still open in unstable. Please consider sponsoring
the 2.3.15 upload, details are provided in http://bugs.debian.org/664586

Regards
        Artur
-- 
Blogi to bastardy WWW, ktĂłre siĂŞ po nocach ryĂŚkaÂło z top-postingiem.
								/Leslie/




Information forwarded to debian-bugs-dist@lists.debian.org, Artur R. Czechowski <arturcz@hell.pl>:
Bug#604356; Package src:libqglviewer. (Sat, 19 May 2012 13:24:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Artur R. Czechowski <arturcz@hell.pl>. (Sat, 19 May 2012 13:24:16 GMT) Full text and rfc822 format available.

Message #51 received at 604356@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604356@bugs.debian.org
Subject: Re: Bug#604356: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 13:48:25 +0200
On Sun, Nov 21, 2010 at 08:36:48PM +0100, Eckhart Wörner wrote:
> Source: libqglviewer
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainer(s),

One year and a half later, it is about time to remove Qt3.
Given your package offers support for both Qt3 and Qt4, please drop
support for Qt3.

Thanks,
Ana





Severity set to 'serious' from 'important' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 10 Jun 2012 16:19:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Artur R. Czechowski <arturcz@hell.pl>:
Bug#604356; Package src:libqglviewer. (Fri, 15 Jun 2012 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Artur R. Czechowski <arturcz@hell.pl>. (Fri, 15 Jun 2012 22:48:06 GMT) Full text and rfc822 format available.

Message #58 received at 604356@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604356@bugs.debian.org
Subject: libqglviewer: diff for NMU version 2.3.4-4.2
Date: Sat, 16 Jun 2012 00:44:23 +0200
[Message part 1 (text/plain, inline)]
tags 604356 + patch
tags 604356 + pending
thanks

Dear maintainer,

I've prepared an NMU for libqglviewer (versioned as 2.3.4-4.2) and
uploaded it to DELAYED/1. 

Regards.
Ana
[libqglviewer-2.3.4-4.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 22:48:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 22:48:08 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sat, 16 Jun 2012 23:06:12 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Sat, 16 Jun 2012 23:06:12 GMT) Full text and rfc822 format available.

Message #67 received at 604356-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 604356-close@bugs.debian.org
Subject: Bug#604356: fixed in libqglviewer 2.3.4-4.2
Date: Sat, 16 Jun 2012 23:03:42 +0000
Source: libqglviewer
Source-Version: 2.3.4-4.2

We believe that the bug you reported is fixed in the latest version of
libqglviewer, which is due to be installed in the Debian FTP archive:

libqglviewer-dev-common_2.3.4-4.2_all.deb
  to main/libq/libqglviewer/libqglviewer-dev-common_2.3.4-4.2_all.deb
libqglviewer-qt4-2_2.3.4-4.2_amd64.deb
  to main/libq/libqglviewer/libqglviewer-qt4-2_2.3.4-4.2_amd64.deb
libqglviewer-qt4-dev_2.3.4-4.2_amd64.deb
  to main/libq/libqglviewer/libqglviewer-qt4-dev_2.3.4-4.2_amd64.deb
libqglviewer_2.3.4-4.2.diff.gz
  to main/libq/libqglviewer/libqglviewer_2.3.4-4.2.diff.gz
libqglviewer_2.3.4-4.2.dsc
  to main/libq/libqglviewer/libqglviewer_2.3.4-4.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604356@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated libqglviewer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 Jun 2012 17:32:22 +0200
Source: libqglviewer
Binary: libqglviewer-dev-common libqglviewer-qt4-dev libqglviewer-qt4-2
Architecture: source all amd64
Version: 2.3.4-4.2
Distribution: unstable
Urgency: low
Maintainer: Artur R. Czechowski <arturcz@hell.pl>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 libqglviewer-dev-common - an OpenGL 3D viewer library based on Qt3 - header files
 libqglviewer-qt4-2 - an OpenGL 3D viewer library based on Qt - runtime library
 libqglviewer-qt4-dev - an OpenGL 3D viewer library based on Qt4 - development files
Closes: 604356
Changes: 
 libqglviewer (2.3.4-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove Qt3 support: (Closes: #604356)
    - update debian/control and debian/rules accordingly.
Checksums-Sha1: 
 010baa9f31a41c78c176c364a198a134226c219b 2007 libqglviewer_2.3.4-4.2.dsc
 1c7ab2a9c9cbb377bab29d1ad92a743dd8e6a16f 14505 libqglviewer_2.3.4-4.2.diff.gz
 0ad6ef567c65edbb5a2b511d6d97ef2790ad4497 1960932 libqglviewer-dev-common_2.3.4-4.2_all.deb
 35be109a4ef18f84226c2d83ddef811d2884c860 362422 libqglviewer-qt4-dev_2.3.4-4.2_amd64.deb
 c1e94c1102e0fe2402c19207509da5f8165f6716 259690 libqglviewer-qt4-2_2.3.4-4.2_amd64.deb
Checksums-Sha256: 
 fd736ded44e877efa1729703a59a2a55cceeacbb841fa62b209361e215f41850 2007 libqglviewer_2.3.4-4.2.dsc
 1828fb0d6a2f7b8c0999b9b8e2d67388a3793ea74fbc65a562af296e1171e04a 14505 libqglviewer_2.3.4-4.2.diff.gz
 51eda524d301c93c071448b4b948f496c37b3189739b2eebed470e84bd57077d 1960932 libqglviewer-dev-common_2.3.4-4.2_all.deb
 46d19465257d98c830724bb6d0fdcd4454d17ceacaf67b4410611d5b478b70df 362422 libqglviewer-qt4-dev_2.3.4-4.2_amd64.deb
 e7743ea5dd72c9ae7e4e1fc2db5975885b4484a85dccde90a46f12114f3ed27c 259690 libqglviewer-qt4-2_2.3.4-4.2_amd64.deb
Files: 
 004a39ea9a143b56743f11461c652d3f 2007 libs optional libqglviewer_2.3.4-4.2.dsc
 2cca02dc7d34393bed7736acb5294b36 14505 libs optional libqglviewer_2.3.4-4.2.diff.gz
 20f05c832502a731571562a525400292 1960932 libdevel optional libqglviewer-dev-common_2.3.4-4.2_all.deb
 9904b575969361b4dea2245e8f13d2c2 362422 libdevel optional libqglviewer-qt4-dev_2.3.4-4.2_amd64.deb
 71853ab4da50d7ebd121940b7f29e1c5 259690 libs optional libqglviewer-qt4-2_2.3.4-4.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJP27skAAoJELNGT4lqoVlIMCIP/iXB31gYL7KdIOfwbAIhwRDu
5u6QEVGWOD4HR4fhZgY+VE2/bkc9MdbaiXa9NLQqNRIG86Tqu8FxBt69ETrddQEE
+ajUUqfX71vf875TXbYoJjbBwxGi5bze2oHaKycTzr1jaOaRm9liosBo2ggAQKSR
TwBRQCAHCYqtQB7pWl3E92ZhgF7yg0lotJSgesKgOeZAn+gQiA29eGxKSycCIQBC
82kKxFmUpsQf5YfjgWCVpLtUEUETpx5fS3wErgh04yS0zHzW5T/6WES1V0V2wmaa
bpksGwXQ/cI1NR3rWC47YM+WZzcqoqHlqcr6q+wIqRQMbhsB3znvMgapPWMhsXxx
w5MFPDy1HgJp883d6yE2HhpszGNhzLkcjUgZUfVaRZYls0Igt6lEMFMClbxSF3qZ
AbPEDKoVak7Cfvzo1V/t2aOwjTweM7G/onQGepFOhv3baZxAXH8IQDJX6XY0I2wO
6ZMumuXXD1cuOgJhYOEPCrv1LJFvOYmmclNEmZ76TdSMlw6/bmocOqeeA1EMjjyE
ciqWgGs+jXpmPTP81rMK19tlAvKK6uQCaUqoTLYfTF5Xy6abEn44Uw3TKDwCL4uO
g5KsC5mtwlyxb8M3K5Rv/n3a3PGh67/ZWed6vnIaCoSe8ttTzG8BD7UzdNNVX/lE
AyU4+4+Z+DJ7mkWRexy7
=eMQl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jul 2012 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:36:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.